Project

General

Profile

Bug #76567

Cannot change "enable atime"

Added by Till Gerken over 2 years ago. Updated over 2 years ago.

Status:
Closed
Priority:
No priority
Assignee:
-
Category:
GUI (new)
Target version:
Seen in:
Severity:
New
Reason for Closing:
Reason for Blocked:
Needs QA:
Yes
Needs Doc:
Yes
Needs Merging:
Yes
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

Using the new UI on 11.2-U2, I cannot change the "enable atime" setting to OFF for the storage pool.

The UI returns the following error:

Error: Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/zfs.py", line 305, in do_update
dataset.properties[k] = prop
File "libzfs.pyx", line 374, in libzfs.ZFS.__exit__
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/zfs.py", line 294, in do_update
prop.value = v['value']
File "libzfs.pyx", line 1069, in libzfs.ZFSProperty.value.__set__
libzfs.ZFSException: use 'none' to disable quota/refquota

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 165, in call_method
result = await self.middleware.call_method(self, message)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1141, in call_method
return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1081, in _call
return await methodobj(*args)
File "/usr/local/lib/python3.6/site-packages/middlewared/service.py", line 289, in update
f'{self._config.namespace}.update', self, self.do_update, [id, data]
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1081, in _call
return await methodobj(*args)
File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 664, in nf
return await f(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/pool.py", line 757, in do_update
rv = await self.middleware.call('zfs.dataset.update', id, {'properties': props})
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1145, in call
return await self._call(name, serviceobj, methodobj, params, app=app, pipes=pipes, io_thread=True)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1081, in _call
return await methodobj(*args)
File "/usr/local/lib/python3.6/site-packages/middlewared/service.py", line 289, in update
f'{self._config.namespace}.update', self, self.do_update, [id, data]
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1095, in _call
return await run_method(methodobj, *args)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1041, in run_in_thread
return await self.loop.run_in_executor(executor, functools.partial(method, *args, **kwargs))
File "/usr/local/lib/python3.6/concurrent/futures/thread.py", line 56, in run
result = self.fn(*self.args, **self.kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/zfs.py", line 309, in do_update
raise CallError(f'Failed to update dataset: {e}')
middlewared.service_exception.CallError: [EFAULT] Failed to update dataset: use 'none' to disable quota/refquota

Screenshot 2019-02-22 at 14.29.19.png (96 KB) Screenshot 2019-02-22 at 14.29.19.png Till Gerken, 02/22/2019 05:29 AM
freenas.PNG (123 KB) freenas.PNG Requested screenshot Daniel Torinsson, 03/01/2019 11:22 AM
55480
57522

Related issues

Has duplicate FreeNAS - Bug #76963: [EFAULT] Failed to update dataset: use 'none' to disable quota/refquotaClosed
Has duplicate FreeNAS - Bug #77791: Pool > Edit dataset options results in quota errorClosed
Has duplicate FreeNAS - Bug #83331: Cannot change ATIME: proposed ON or OFF, NONE requiredClosed

History

#1 Updated by Dru Lavigne over 2 years ago

  • Has duplicate Bug #76963: [EFAULT] Failed to update dataset: use 'none' to disable quota/refquota added

#2 Updated by Dru Lavigne over 2 years ago

  • Category changed from GUI (new) to Middleware
  • Assignee changed from Release Council to William Grzybowski

#3 Updated by Dru Lavigne over 2 years ago

  • Has duplicate Bug #77791: Pool > Edit dataset options results in quota error added

#4 Updated by William Grzybowski over 2 years ago

  • Status changed from Unscreened to Blocked
  • Target version changed from Backlog to 11.2-U4
  • Reason for Blocked set to Waiting for feedback

I cant seem to reproduce that issue.

Can you post a screenshot of the whole webUI form so we can visualize all the settings you have?

#5 Updated by Daniel Torinsson over 2 years ago

57522

William Grzybowski wrote:

I cant seem to reproduce that issue.

Can you post a screenshot of the whole webUI form so we can visualize all the settings you have?

Attached screenshot is regarding Bug #77791 which was merge into this issue.

#6 Updated by Scott Ullrich over 2 years ago

William Grzybowski wrote:

I cant seem to reproduce that issue.

Can you post a screenshot of the whole webUI form so we can visualize all the settings you have?

We are also seeing this error when trying to change a brand new instal of FreeNAS default compression setting to gzip-9.

Error: Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/zfs.py", line 305, in do_update
    dataset.properties[k] = prop
  File "libzfs.pyx", line 374, in libzfs.ZFS.__exit__
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/zfs.py", line 294, in do_update
    prop.value = v['value']
  File "libzfs.pyx", line 1069, in libzfs.ZFSProperty.value.__set__
libzfs.ZFSException: use 'none' to disable quota/refquota

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 165, in call_method
    result = await self.middleware.call_method(self, message)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1141, in call_method
    return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1081, in _call
    return await methodobj(*args)
  File "/usr/local/lib/python3.6/site-packages/middlewared/service.py", line 289, in update
    f'{self._config.namespace}.update', self, self.do_update, [id, data]
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1081, in _call
    return await methodobj(*args)
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 664, in nf
    return await f(*args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/pool.py", line 757, in do_update
    rv = await self.middleware.call('zfs.dataset.update', id, {'properties': props})
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1145, in call
    return await self._call(name, serviceobj, methodobj, params, app=app, pipes=pipes, io_thread=True)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1081, in _call
    return await methodobj(*args)
  File "/usr/local/lib/python3.6/site-packages/middlewared/service.py", line 289, in update
    f'{self._config.namespace}.update', self, self.do_update, [id, data]
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1095, in _call
    return await run_method(methodobj, *args)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1041, in run_in_thread
    return await self.loop.run_in_executor(executor, functools.partial(method, *args, **kwargs))
  File "/usr/local/lib/python3.6/concurrent/futures/thread.py", line 56, in run
    result = self.fn(*self.args, **self.kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
    return f(*args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/zfs.py", line 309, in do_update
    raise CallError(f'Failed to update dataset: {e}')
middlewared.service_exception.CallError: [EFAULT] Failed to update dataset: use 'none' to disable quota/refquota

#7 Updated by Gabriel Zellmer over 2 years ago

William Grzybowski wrote:

I cant seem to reproduce that issue.

Can you post a screenshot of the whole webUI form so we can visualize all the settings you have?

We am also experiencing this same issue too.

#8 Updated by Scott Ullrich over 2 years ago

Switching to legacy UI allowed us to change the option as long as you do not try to set it in the new GUI prior. Luckily we where able to stand up a new machine but if you do not have that luxury this error is a real show stopper for some folks.

#9 Updated by Stephane Rosa over 2 years ago

I experienced the same error when changing any field (in this case the Share Type) on existing dataset options, as it could not be saved back.

Apparently the Advanced Form shows "0" on all the quotas, whereas it should be "none" when no quota. Actually the workaround of typing none manually in all the quotas field prior saving works well and allows to save the form including modifications. However, bringing up the form again resets these quota value to zero, so the workaround is always needed.

Interesting to note is that it does not affect the creation of dataset even with quota fields containing zero, only during modification.

Actually I suggest to keep 0 as it is a numeric field and manage the translation 0 => none internally.

Clipper

#10 Updated by William Grzybowski over 2 years ago

  • Category changed from Middleware to GUI (new)
  • Status changed from Blocked to Unscreened
  • Assignee changed from William Grzybowski to Anonymous
  • Reason for Blocked deleted (Waiting for feedback)

Erin, this seem to happen when UI sends "0" to t he API instead of null for (ref)?quota/reservation fields.
It seems to happen when the field size (MB/GB/etc) is blank.

#11 Updated by Dru Lavigne over 2 years ago

  • Has duplicate Bug #83331: Cannot change ATIME: proposed ON or OFF, NONE required added

#14 Updated by Jaron Parsons over 2 years ago

  • Status changed from Unscreened to Closed

Also available in: Atom PDF